/*
  Persistence of Vision Ray Tracer Scene Description File

  Simple converter to POV-Ray 16bit heightfield format
  
  --
  Jaime Vives Piqueres, 2007-2008.

*/
global_settings{hf_gray_16}

// file to convert
#declare hf_file="hf_generator" 

// place the bitmap on a plane
plane{z,0
 texture{
  pigment{
   image_map{png hf_file interpolate 2}
   translate -.5
   scale 2.1
  }
  scale <-1,1,1>
  finish{brilliance 0 ambient 1}
 }
}

// take a square shot
camera{
 orthographic
 location <0,0,-1>
 up 1*y right 1*y
 angle 90
 look_at 0
}
